import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/agents',
    method: 'get',
    params: {
      limit: query.limit,
      offset: (query.page - 1) * query.limit,
      name: query.name
    //   chipsSort: query.chipsSort,
    //   updatedSort: query.updatedSort
    }
  })
}

export function createAgent(data) {
  return request({
    url: '/agents',
    method: 'post',
    data: {
      name: `101俱樂部_推推_代理商_0001_${data.name}`,
      feeRatio: data.feeRatio
    }
  })
}

export function fetchMemberList(data, query) {
  return request({
    url: `/agents/${data.GambleMember.id}/gambleMembers/detail`,
    method: 'get',
    params: {
      startAt: query.startAt,
      endAt: query.endAt
      // name: query.name
    //   chipsSort: query.chipsSort,
    //   updatedSort: query.updatedSort
    }
  })
}

export function fetchAllMemberList(query) {
  return request({
    url: `/agents/gambleMembers/detail`,
    method: 'get',
    params: {
      startAt: query.startAt,
      endAt: query.endAt
      // name: query.name
    //   chipsSort: query.chipsSort,
    //   updatedSort: query.updatedSort
    }
  })
}

export function fetchGroupDetail(data, query) {
  return request({
    url: `/agents/${data.GambleMember.id}/groupDetail`,
    method: 'get',
    params: {
      startAt: query.startAt,
      endAt: query.endAt
      // name: query.name
    //   chipsSort: query.chipsSort,
    //   updatedSort: query.updatedSort
    }
  })
}

export function fetchGroupAll(data, query) {
  return request({
    url: `/agents/${data.GambleMember.id}/all`,
    method: 'get',
    params: {
      startAt: query.startAt,
      endAt: query.endAt
      // name: query.name
    //   chipsSort: query.chipsSort,
    //   updatedSort: query.updatedSort
    }
  })
}
