import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/gambleGameBuckets',
    method: 'get',
    params: {
      limit: query.limit,
      offset: (query.page - 1) * query.limit,
      bookie: query.bookie,
      startAt: query.startAt,
      endAt: query.endAt
    //   chipsSort: query.chipsSort,
    //   updatedSort: query.updatedSort
    }
  })
}

export function fetchMemberRecords(data, query = { round: 1 }) {
  return request({
    url: `/gambleGameBuckets/${data.id}/round/${query.round}/memberRecords`,
    method: 'get'
  })
}

export function fetchDealingRecords(data, query = { round: 1 }) {
  return request({
    url: `/gambleGameBuckets/${data.id}/round/${query.round}/dealingRecords`,
    method: 'get'
  })
}

export function fetchDetails(data, query = { round: 1 }) {
  return request({
    url: `/gambleGameBuckets/${data.id}/round/${query.round}/detail`,
    method: 'get'
  })
}

export function fetchRoundCount(data) {
  return request({
    url: `/gambleGameBuckets/${data.id}/roundCount`,
    method: 'get'
  })
}

export function fetchGameBid(data) {
  return request({
    url: `/gambleGameBuckets/${data.id}/bidChips`,
    method: 'get'
  })
}

export function fetchGameBucket(id) {
  return request({
    url: `/gambleGameBuckets/${id}`,
    method: 'get'
  })
}

export function fetchRoundRecord(data, query = { round: 1 }) {
  return request({
    url: `/gambleGameBuckets/${data.id}/round/${query.round}/roundRecord`,
    method: 'get'
  })
}

export function fetchWagerRecord(data, query = { round: 1 }) {
  return request({
    url: `/gambleGameBuckets/${data.id}/round/${query.round}/wagerRecord`,
    method: 'get'
  })
}
export function fetchMemberInfo(data, query = { round: 1 }) {
  return request({
    url: `/gambleGameBuckets/${data.id}/round/${query.round}/memberInfo`,
    method: 'get'
  })
}

export function fetchPunishmentRecord(data, query = { round: 1 }) {
  return request({
    url: `/gambleGameBuckets/${data.id}/round/${query.round}/punishmentRecord`,
    method: 'get'
  })
}

export function fetchCurrentChips(data, query) {
  return request({
    url: `/gambleGameBuckets/${data.id}/currentChips`,
    method: 'get',
    params: {
      gambleMemberId: query.id
    }
  })
}
// export function fetchRoundRecord(data) {
//   return request({
//     url: `/gambleGameBuckets/${data.id}/initDoor`,
//     method: 'get'
//   })
// }
