import request from '@/utils/request'

export function fetchWechatRooms(query) {
  return request({
    url: `/weChatRooms`,
    method: 'get',
    params: {
      limit: query.limit,
      offset: (query.page - 1) * query.limit,
      startAt: query.startAt,
      endAt: query.endAt,
      name: query.name
    }
  })
}

export function createWeChatRoom(data) {
  return request({
    url: `/weChatRooms`,
    method: 'post',
    data: {
      name: data.name
    }
  })
}

export function fetchWechatGameMaster(data, query) {
  return request({
    url: `/weChatRooms/${data.id}/wechatGameMasters`,
    method: 'get',
    params: {
      limit: query.limit,
      offset: (query.page - 1) * query.limit,
      // startAt: query.startAt,
      // endAt: query.endAt,
      name: query.name
    }
  })
}

export function createWechatGameMaster(data, query) {
  return request({
    url: `/weChatRooms/${data.id}/wechatGameMasters`,
    method: 'post',
    data: {
      member: query.member,
      wechatUser: query.id
    }
  })
}
export function resetWechatRoomMembersChips(data) {
  return request({
    url: `/weChatRooms/${data.id}/resetChips`,
    method: 'put'
  })
}

export function createWechatMember(data, query) {
  return request({
    url: `/gambleMembers`,
    method: 'post',
    data: {
      name: query.name,
      wechatRoom: data.id
    }
  })
}

export function resetRoomName(data, query) {
  return request({
    url: `/weChatRooms/${data.room}/wechatUser`,
    method: 'put',
    data: {
      name: query.name
    }
  })
}
